.cookie-notification-wrapper {
  --base-color: #1e665a;
}
.cookie-notification-wrapper {
  position: fixed;
  z-index: 160;
  bottom: 0;
  right: 0;
  left: 0;
  visibility: hidden;
  opacity: 0;
}
.cookie-notification-wrapper.visible {
  visibility: visible;
  opacity: 1;
}
.cookie-notification-transition {
  transition: all .3s ease;
}
.cookie-notification-transition-start {
  transform: scale(.8);
}
.cookie-notification {
  position: absolute;
  bottom: 120px;
  left: 50%;
  width: 100%;
  max-width: 1200px;
  padding: 32px;
  transform: translateX(-50%);
  background-color: white;
  box-shadow: 0 5px 25px rgba(94, 167, 155, .4);
}
.cookie-notification__form-control {
  display: flex;
  flex-direction: column;
  padding: 16px 20px;
  gap: 12px;
  border: 1px solid #e4e4e4;
  border-radius: 2px;
}
.cookie-notification__checkbox {
  display: flex;
}
.cookie-notification__checkbox-label {
  position: relative;
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
  transition: color .3s;
  border-radius: 1px;
  background-color: #fff;
}
.cookie-notification__checkbox-label:before {
  position: relative;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  display: block;
  flex: 0 0 auto;
  box-sizing: border-box;
  content: '';
  user-select: none;
  transition: box-shadow .2s, border .2s;
  border: 1px solid #e4e4e4;
  border-radius: 1px;
  background-color: #fff;
  background-repeat: no-repeat;
  background-position: 50% 100%;
  background-size: contain;
}
.cookie-notification__checkbox input:checked + .cookie-notification__checkbox-label:before {
  border-color: var(--base-color);
  background-color: var(--base-color);
  background-image: url('data:image/svg+xml,%3Csvg width=\'11\' height=\'9\' viewBox=\'0 0 11 9\' fill=\'none\' xmlns=\'http://www.w3.org/2000/svg\'%3E%3Cpath d=\'M2.08205 3.3203C1.7757 2.86077 1.15483 2.7366 0.6953 3.04295C0.235771 3.3493 0.111597 3.97017 0.41795 4.4297L2.08205 3.3203ZM10.2894 2.23894C10.6284 1.80299 10.5499 1.17472 10.1139 0.835648C9.67799 0.496578 9.04972 0.575112 8.71065 1.01106L10.2894 2.23894ZM5.1018 7.27983L4.31244 6.66589L5.1018 7.27983ZM0.41795 4.4297L2.64834 7.77529L4.31244 6.66589L2.08205 3.3203L0.41795 4.4297ZM5.89115 7.89377L10.2894 2.23894L8.71065 1.01106L4.31244 6.66589L5.89115 7.89377ZM2.64834 7.77529C3.40557 8.91114 5.05305 8.97133 5.89115 7.89377L4.31244 6.66589L4.31244 6.66589L2.64834 7.77529Z\' fill=\'%23FAFAFB\'/%3E%3C/svg%3E%0A');
  background-position: center;
  background-size: auto;
}
.cookie-notification__checkbox input:checked:disabled + .cookie-notification__checkbox-label:before {
  border-color: rgba(224, 224, 224, .7);
  background-color: rgba(224, 224, 224, .7);
  background-position: center;
  background-size: auto;
}
.cookie-notification__title {
  font-size: 26px;
  font-weight: 600;
}
.cookie-notification__checkbox input {
  position: absolute;
  top: 0;
  left: 0;
  width: 2px;
  height: 2px;
  visibility: hidden;
  opacity: 0;
}
.cookie-notification__settings {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
.cookie-notification__settings:before {
  width: 24px;
  height: 24px;
  content: '';
  background-image: url('data:image/svg+xml,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' width=\'24\' height=\'24\' fill=\'none\' viewBox=\'0 0 24 24\'%3E%3Cpath stroke=\'%23fff\' d=\'M20 15.5555h-8.5556M3.5 9.44446h8.5556M8 15.5555H3.49978M16 9.44446h4.0002\'/%3E%3Ccircle cx=\'2.44444\' cy=\'2.44444\' r=\'1.94444\' stroke=\'%23fff\' transform=\'matrix(-1 0 0 1 12.0547 13.1111)\'/%3E%3Ccircle cx=\'13.8898\' cy=\'9.44444\' r=\'1.94444\' stroke=\'%23fff\'/%3E%3C/svg%3E');
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.cookie-notification__settings.hidden {
  display: none;
}
.cookie-notification__inner {
  display: grid;
  gap: 20px;
  grid-template-columns: 1fr auto;
}
.cookie-notification__footer {
  display: flex;
  align-items: center;
  gap: 18px;
}
.cookie-notification__footer .btn--wide {
  width: auto;
}
.cookie-notification__left {
  margin-left: auto;
}
.cookie-notification__flex {
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  gap: 16px;
  font-size: 20px;
  line-height: 1.2;
}
@media (max-width: 575px) {
  .cookie-notification__flex {
    font-size: 16px;
  }
}
.cookie-notification__settings,
.cookie-notification__control {
  width: 200px;
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 12px 16px;
  transition: all .3s ease;
  color: #fff;
  border: 1px solid transparent;
  border-color: var(--base-color);
  background-color: var(--base-color);
  box-shadow: 0px 12px 20px 0px rgba(94, 167, 155, .25);
  font-size: 24px;
  font-weight: 500;
}
.cookie-notification__mini {
  color: #969696;
}
.cookie-notification__header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
}
.cookie-notification__header.hidden {
  display: none;
}
.cookie-notification__body {
  display: none;
}
.cookie-notification__body.visible {
  display: block;
  grid-column: span 2;
}
@media print {
  .cookie-notification {
    display: none;
  }
}
@media (max-width: 1099px) {
  .cookie-notification__inner {
    grid-template-columns: 1fr;
  }
  .cookie-notification__footer {
    justify-content: center;
  }
  .cookie-notification {
    padding: 20px 18px;
  }
  .cookie-notification__checkbox {
    padding: 14px;
  }
}
@media (max-width: 767px) {
  .cookie-notification__footer {
    flex-wrap: wrap;
    gap: 12px;
  }
}
@media (max-width: 575px) {
  .cookie-notification__flex {
    margin-top: 16px;
    gap: 10px;
  }
  .cookie-notification__inner {
    gap: 14px;
  }
  .cookie-notification__footer {
    gap: 15px;
  }
  .cookie-notification .btn {
    font-size: 12px;
  }
  .cookie-notification .btn:not(.btn--border) {
    padding-right: 16px;
    padding-left: 16px;
  }
  .cookie-notification__checkboxinput:checked ~ label:before {
    background-image: url('data:image/svg+xml,%3Csvg width=\'9\' height=\'7\' viewBox=\'0 0 9 7\' fill=\'none\' xmlns=\'http://www.w3.org/2000/svg\'%3E%3Cpath d=\'M1.08325 3.125L2.64698 5.47059C3.02559 6.03851 3.84933 6.06861 4.26838 5.52983L7.49992 1.375\' stroke=\'%23FAFAFB\' stroke-width=\'2\' stroke-linecap=\'round\'/%3E%3C/svg%3E%0A');
  }
  .cookie-notification__settings,
  .cookie-notification__control {
    width: 100%;
    height: 40px;
    padding: 8px 12px;
    font-size: 16px;
  }
}
@media (hover: hover) {
  .cookie-notification__settings:hover,
  .cookie-notification__control:hover {
    opacity: .7;
    cursor: pointer;
  }
}